CREATE TABLE ego_versions_b (
    VERSION_ID                NUMBER(18, 0) ,
    ENTITY_NAME               VARCHAR2(320)     NOT NULL,
    PK1_VALUE                 NUMBER(18, 0)     NOT NULL,
    PK2_VALUE                 NUMBER(18, 0) ,
    PK3_VALUE                 NUMBER(18, 0) ,
    PK4_VALUE                 NUMBER(18, 0) ,
    PK5_VALUE                 NUMBER(18, 0) ,
    VERSION_CODE              VARCHAR2(40)      NOT NULL,
    VERSION_NUMBER            NUMBER(18, 2)     NOT NULL,
    STATUS_CODE               VARCHAR2(120)     NOT NULL,
    VERSION_LABEL             VARCHAR2(320) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CHANGE_ID                 NUMBER(18, 0) ,
    CHANGE_LINE_ID            NUMBER(18, 0) ,
    IMPLEMENTATION_DATE       TIMESTAMP(6)  ,
    START_EFFECTIVITY_DATE    DATE          ,
    END_EFFECTIVITY_DATE      DATE          ,
    LOCKED_BY                 VARCHAR2(256) ,
    RELEASED_BY               VARCHAR2(256) ,
    MODIFIED                  VARCHAR2(20)  ,
    INTERNAL_FLAG             VARCHAR2(4)   ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    DESCRIPTION               VARCHAR2(960) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    THREAD_ID                 NUMBER(18, 0) ,
    PHASE_NUMBER              NUMBER(3, 0)  ,
    VERSION_ID                NUMBER(18, 0) ,
    ENTITY_NAME               VARCHAR2(320)     NOT NULL,
    PK1_VALUE                 NUMBER(18, 0)     NOT NULL,
    PK2_VALUE                 NUMBER(18, 0) ,
    PK3_VALUE                 NUMBER(18, 0) ,
    PK4_VALUE                 NUMBER(18, 0) ,
    PK5_VALUE                 NUMBER(18, 0) ,
    VERSION_CODE              VARCHAR2(40)      NOT NULL,
    VERSION_NUMBER            NUMBER(18, 2)     NOT NULL,
    STATUS_CODE               VARCHAR2(120)     NOT NULL,
    VERSION_LABEL             VARCHAR2(320) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CHANGE_ID                 NUMBER(18, 0) ,
    CHANGE_LINE_ID            NUMBER(18, 0) ,
    IMPLEMENTATION_DATE       TIMESTAMP(6)  ,
    START_EFFECTIVITY_DATE    DATE          ,
    END_EFFECTIVITY_DATE      DATE          ,
    LOCKED_BY                 VARCHAR2(256) ,
    RELEASED_BY               VARCHAR2(256) ,
    MODIFIED                  VARCHAR2(20)  ,
    INTERNAL_FLAG             VARCHAR2(4)   ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    DESCRIPTION               VARCHAR2(960) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    THREAD_ID                 NUMBER(18, 0) ,
    PHASE_NUMBER              NUMBER(3, 0)  ,
    CONSTRAINT pk_ego_versions_b PRIMARY KEY (VERSION_ID, VERSION_ID)
);
